<template name="Orders">
  <div class="orders-manager">
    <h2>Orders</h2>
    {{#if paidOrders.count}}
      <h3>To prepare</h3>
      {{#each paidOrders}}
        {{> OrderDisplay}}
      {{/each}}
    {{/if}}
    {{#if preparedOrders.count}}
    <h3>To send</h3>
      {{#each preparedOrders}}
        {{> OrderDisplay}}
      {{/each}}
    {{/if}}
    {{#if sentOrders.count}}
      <h3>Sent</h3>
      {{#each sentOrders}}
        {{> OrderDisplay}}
      {{/each}}
    {{/if}}
  </div>
</template>

<template name="OrderDisplay">
  <div class="order-element">
    <p class="order">
      {{ formattedDate createdAt }} {{> OrderState}}
    </p>
    <p class="order">
      {{ address }}
    </p>
    <p class="order">
      <ul>
        {{#each entries}}
          <li>{{quantity}} {{name}}</li>
        {{/each}}
      </ul>
    </p>
  </div>
</template>

<template name="OrderState">
  {{#if sentAt}}
    <span class="order-state order-state-sent">Sent at {{ formattedDate sentAt }}</span>
  {{else if preparedAt}}
    <span class="order-state order-state-prepared">Prepared at {{ formattedDate preparedAt }}</span>
    <button type="button" class="send-order" data-action="send">Send</button>
  {{else if paidAt}}
    <span class="order-state order-state-paid">Paid at {{ formattedDate paidAt }}</span>
    <button type="button" class="prepare-order" data-action="prepare">Prepare</button>
  {{/if}}
</template>
